ATAN(3) | NetBSD Library Functions Manual | ATAN(3)

# NAME

atan, atanf — arc tangent function of one variable

# LIBRARY

Math Library (libm, -lm)

# SYNOPSIS

#include <math.h>

double
atan(double x);

float
atanf(float x);

# DESCRIPTION

The atan() and atanf() functions compute the principal value of the arc tangent of x in the range [-π/2, +π/2].

# SEE ALSO

acos(3), asin(3), atan2(3), cos(3), cosh(3), math(3), sin(3), sinh(3), tan(3), tanh(3)

# STANDARDS

The atan() functions conforms to ANSI X3.159-1989 (“ANSI C”).

May 2, 1991 | NetBSD 5.99